Security enhancements to IP Vault and new Gemini 3.1 Flash Live STS model for Convo mode
curl --request POST \
--url https://pria.praxislxp.com/api/admin/ssoProviders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"institution": "<string>",
"page": 1,
"pageSize": 100
}
'{
"success": true,
"data": [
{
"_id": "<string>",
"institution": "<string>",
"slug": "my-university",
"label": "<string>",
"enabled": true,
"clientId": "<string>",
"clientSecret": "<string>",
"tokenHost": "https://id.provider.com:443",
"tokenPath": "/oauth2/token",
"authorizePath": "/oauth2/authorize",
"userinfoUrl": "https://id.provider.com:443/oauth2/userinfo",
"scope": "openid",
"fieldMapping": {
"email": "email",
"firstName": "given_name",
"lastName": "family_name"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"hasMore": true,
"page": 123,
"pageSize": 123,
"message": "<string>"
}Returns all SSO providers scoped by RAP. Client secrets are masked.
curl --request POST \
--url https://pria.praxislxp.com/api/admin/ssoProviders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"institution": "<string>",
"page": 1,
"pageSize": 100
}
'{
"success": true,
"data": [
{
"_id": "<string>",
"institution": "<string>",
"slug": "my-university",
"label": "<string>",
"enabled": true,
"clientId": "<string>",
"clientSecret": "<string>",
"tokenHost": "https://id.provider.com:443",
"tokenPath": "/oauth2/token",
"authorizePath": "/oauth2/authorize",
"userinfoUrl": "https://id.provider.com:443/oauth2/userinfo",
"scope": "openid",
"fieldMapping": {
"email": "email",
"firstName": "given_name",
"lastName": "family_name"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"hasMore": true,
"page": 123,
"pageSize": 123,
"message": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.praxis-ai.com/llms.txt
Use this file to discover all available pages before exploring further.
JWT token passed in authorization header
List of SSO providers
Was this page helpful?